App\Entity\Vehicule:
    type: entity
    table: vehicule
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        reference:
            type: string
            length: 255
            fixed: false
            nullable: false
        marque:
            type: string
            length: 255
            fixed: false
            nullable: true
        modele:
            type: string
            length: 255
            fixed: false
            nullable: true
        immatriculation:
            type: string
            length: 255
            fixed: false
            nullable: true
        numSerie:
            type: string
            length: 255
            fixed: false
            nullable: true
        genre:
            type: string
            length: 255
            fixed: false
            nullable: true
        energie:
            type: string
            length: 255
            fixed: false
            nullable: true
        couleur:
            type: string
            length: 255
            fixed: false
            nullable: true
        ingredient:
            type: string
            length: 255
            fixed: false
            nullable: true
        type:
            type: string
            length: 255
            fixed: false
            nullable: true
        carosserie:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateMiseEnCirculation:
            type: datetime
            nullable: true
        places:
            type: string
            length: 255
            fixed: false
            nullable: true
        puissanceFiscale:
            type: string
            length: 255
            fixed: false
            nullable: true
        kilometrage:
            type: string
            length: 255
            fixed: false
            nullable: true
        numMoteur:
            type: string
            length: 255
            fixed: false
            nullable: true
        numChassis:
            type: string
            length: 255
            fixed: false
            nullable: true
        numBoiteAVitesse:
            type: string
            length: 255
            fixed: false
            nullable: true
        dateEntree:
            type: datetime
            nullable: true
        motscles:
            type: text
            nullable: true
        carteGriseRecto:
            type: string
            length: 255
            fixed: false
            nullable: true
        carteGriseVerso:
            type: string
            length: 255
            fixed: false
            nullable: true
        mainPhoto:
            type: string
            length: 255
            fixed: false
            nullable: true
            column: main_photo
    manyToOne:
        client:
            targetEntity: Client
            cascade: {  }
            mappedBy: null
            inversedBy: vehicules
            joinColumns:
                client_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: vehicules
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        brand:
            targetEntity: Marque
            cascade: {  }
            mappedBy: null
            inversedBy: vehicules
            joinColumns:
                marque_id:
                    referencedColumnName: id
                    nullable: true
            orphanRemoval: false
        brandModele:
            targetEntity: Modele
            cascade: {  }
            mappedBy: null
            inversedBy: vehicules
            joinColumns:
                modele_id:
                    referencedColumnName: id
                    nullable: true
            orphanRemoval: false
    oneToMany:
        reparations:
            targetEntity: Reparation
            mappedBy: vehicule
        devis:
            targetEntity: Devis
            mappedBy: vehicule
        dossiers:
            targetEntity: Dossier
            mappedBy: vehicule
        bookings:
            targetEntity: Booking
            mappedBy: vehicule